Bug 52154 - new pci id's for Intel E1000xT Gigabit cards.
Summary: new pci id's for Intel E1000xT Gigabit cards.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-21 05:01 UTC by Michael E Brown
Modified: 2007-04-18 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-23 22:58:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael E Brown 2001-08-21 05:01:03 UTC
Description of Problem:

Intel's newest Gigabit Ethernet cards are the PRO/1000xT. The pci id is as
follows: 

01:0c.0 Class 0200: 8086:1008 (rev 02)  
01:0c.0 Ethernet controller: Intel Corporation: Unknown device 1008 (rev 02)

The RC1 e1000 driver does not detect this card. 

Version-Release number of selected component (if applicable):
kernel 2.4.7-2

Comment 1 Arjan van de Ven 2001-08-21 07:27:42 UTC
Unfortionatly, it's not THAT simple ;)
Intel uses the PCI ID to set an Adapter->MacType variable, which in turn
determines how the physical interface is programmed. Most likely, this device
resembles another one already in that list.

All is simple if the chip is a 82543GC and this is trivial to add; if the chip
is a 82542 then Intel needs to get involved for information.

Could you check which chip this board/device has ?

Comment 2 Glen Foster 2001-08-21 20:32:13 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 3 Glen Foster 2001-08-23 21:47:44 UTC
This defect is *now* considered MUST-FIX for Fairfax.

Comment 4 Michael K. Johnson 2001-08-23 22:00:44 UTC
We are waiting for Intel

Comment 5 Michael K. Johnson 2001-08-23 22:58:43 UTC
We have a driver and permission to ship it, now we just need
to review and integrate (as long as we are satisfied, of
course) the driver.

Comment 6 Arjan van de Ven 2001-08-24 08:30:09 UTC
reviewed and integrated last night;
will get a kernel with it to Dell today

Comment 7 John A. Hull 2001-08-27 22:47:47 UTC
Installed on new 1500SC. Kudzu picked up and identified the LOM correctly and 
inserted the e1000 module.


Note You need to log in before you can comment on or make changes to this bug.